• 1 رای - 5 میانگین
  • 1
  • 2
  • 3
  • 4
  • 5
مشکل openssl در نصب نرم افزار composer
#1
سلام و عرض ادب خدمت اساتید محترم php

دوستان من الان سه ماهه میخام فریم ورک کیک php و لاراول رو نصب کنم اما موقع نصب نرم افزار کامپوزر (composer) همش ارور زیر میاد.

من رو سیستم هم آخرین نسخه php رو دارم هم نسخه های قبلیش پس مطمئنم مشکل از نرم افزار php نیست.

کد خطا به صورت زیر هستش :
کد:
Some settings on your machine may cause stability issues with Composer.
If you encounter issues, try to change the following:

The OpenSSL library (0.9.8x) used by PHP does not support TLSv1.2 or TLSv1.1.
If possible you should upgrade OpenSSL to version 1.0.1 or above.

Download failed: file_get_contents(): SSL operation failed with code 1. OpenSSL Error messages:
error:14090086:SSL routines:SSL3_GET_SERVER_CERTIFICATE:certificate verify failed
file_get_contents(): Failed to enable crypto
file_get_contents(https://getcomposer.org/composer.phar.sig): failed to open stream: operation failed
Download failed: file_get_contents(): SSL operation failed with code 1. OpenSSL Error messages:
error:14090086:SSL routines:SSL3_GET_SERVER_CERTIFICATE:certificate verify failed
file_get_contents(): Failed to enable crypto
file_get_contents(https://getcomposer.org/composer.phar.sig): failed to open stream: operation failed
file_get_contents(): SSL operation failed with code 1. OpenSSL Error messages:
error:14090086:SSL routines:SSL3_GET_SERVER_CERTIFICATE:certificate verify failed
file_get_contents(): Failed to enable crypto
file_get_contents(https://getcomposer.org/composer.phar): failed to open stream: operation failed
Download failed: file_get_contents(): SSL operation failed with code 1. OpenSSL Error messages:
error:14090086:SSL routines:SSL3_GET_SERVER_CERTIFICATE:certificate verify failed
file_get_contents(): Failed to enable crypto
file_get_contents(https://getcomposer.org/composer.phar.sig): failed to open stream: operation failed
Download failed: file_get_contents(): SSL operation failed with code 1. OpenSSL Error messages:
error:14090086:SSL routines:SSL3_GET_SERVER_CERTIFICATE:certificate verify failed
file_get_contents(): Failed to enable crypto
file_get_contents(https://getcomposer.org/composer.phar.sig): failed to open stream: operation failed
file_get_contents(): SSL operation failed with code 1. OpenSSL Error messages:
error:14090086:SSL routines:SSL3_GET_SERVER_CERTIFICATE:certificate verify failed
file_get_contents(): Failed to enable crypto
file_get_contents(https://getcomposer.org/composer.phar): failed to open stream: operation failed
Download failed: file_get_contents(): SSL operation failed with code 1. OpenSSL Error messages:
error:14090086:SSL routines:SSL3_GET_SERVER_CERTIFICATE:certificate verify failed
file_get_contents(): Failed to enable crypto
file_get_contents(https://getcomposer.org/composer.phar.sig): failed to open stream: operation failed
Download failed: file_get_contents(): SSL operation failed with code 1. OpenSSL Error messages:
error:14090086:SSL routines:SSL3_GET_SERVER_CERTIFICATE:certificate verify failed
file_get_contents(): Failed to enable crypto
file_get_contents(https://getcomposer.org/composer.phar.sig): failed to open stream: operation failed
file_get_contents(): SSL operation failed with code 1. OpenSSL Error messages:
error:14090086:SSL routines:SSL3_GET_SERVER_CERTIFICATE:certificate verify failed
file_get_contents(): Failed to enable crypto
file_get_contents(https://getcomposer.org/composer.phar): failed to open stream: operation failed
The download failed repeatedly, aborting.

حالا برای برطرف کردنش چه باید بکنم ؟

با تشکر از همه اساتیدی که پاسخ خواهند داد .
همیشه برای یادگیری، موضوعاتی هست!

مجله دامین هاست

فرهاد حسن پور / بیرگیک

  پاسخ
تشکر شده توسط :
#2
کدوم نسخه php رو داری؟ داره به openssl گیر میده میگه نسخت قدیمیه
  پاسخ
تشکر شده توسط : farhadhp
#3
ممنون از پاسختون

PHP Version 5.4.7

با ورژن php 7 هم امتحان کردم همین ارور رو داد.

من ویندوزم 10 هستش چطور ممکنه قدیمی باشه ؟

چطوری میتونم آپدیتش کنم ؟
همیشه برای یادگیری، موضوعاتی هست!

مجله دامین هاست

فرهاد حسن پور / بیرگیک

  پاسخ
تشکر شده توسط :
#4
من از ویندوز استفاده نمی کنم نمی دونم. یه سرچی توی اینترنت بکنید
  پاسخ
تشکر شده توسط : farhadhp
#5
نقل قول:من از ویندوز استفاده نمی کنم نمی دونم. یه سرچی توی اینترنت بکنید

سرچ کردم چیزی نیاورد .

ممنون.
همیشه برای یادگیری، موضوعاتی هست!

مجله دامین هاست

فرهاد حسن پور / بیرگیک

  پاسخ
تشکر شده توسط :
#6
http://windows.php.net/downloads/php-sdk...11-x86.zip
http://windows.php.net/downloads/php-sdk...11-x64.zip
  پاسخ
تشکر شده توسط : farhadhp
#7
دونه به دونه فایل ها رو دانلود کردم هیچ کدومش کار ساز نشد.(آدرسی که شما گذاشتین ایراد داشت با جست و جو به ادرس صحیح فایل ها رسیدم)

دوست عزیزی می گفت ارائه دهندگان اینترنت ssl ها رو محدود کردن !

با فیلتر دور زن هم رفتم ارور مشابه نشون داد.

ایا راهی برای نصب دستی فریم ورک وجود داره ؟

من کدهای فریم ورک رو دانلود کردم چطوری میتونم به صورت دستی ازش استفاده کنم ؟

ممنون از پاسخ هایی که می دهید.
همیشه برای یادگیری، موضوعاتی هست!

مجله دامین هاست

فرهاد حسن پور / بیرگیک

  پاسخ
تشکر شده توسط :
#8
ربطی به isp ها نداره. نسخه openssl قدیمیه
  پاسخ
تشکر شده توسط : farhadhp
#9
از ابزار composer توی phpstorm استفاده کن.
زمانی که داری پروژه جدید میسازی نوع پروژه رو composer project انتخاب کن.
شاید مشکلت حل شه.
هر چیزی که در جستن آنی آنی...
غایب
  پاسخ
تشکر شده توسط :


پرش به انجمن:


کاربران در حال بازدید این موضوع: 1 مهمان